## pldebugger 1.0-3

=== Makefile ===
################################################################################
##
## This Makefile builds plugin_debugger.so. It consists of a PL/pgSQL
## interpreter plugin, and a set of functions that form an SQL interface
## to the PL/pgSQL debugger.
##
## Copyright (c) 2004-2017 EnterpriseDB Corporation. All Rights Reserved.
##
## Licensed under the Artistic License, see 
##		http://www.opensource.org/licenses/artistic-license.php
## for full details

EXTENSION  = pldbgapi
MODULE_big = plugin_debugger

OBJS	   = plpgsql_debugger.o plugin_debugger.o dbgcomm.o pldbgapi.o
ifdef INCLUDE_PACKAGE_SUPPORT
OBJS += spl_debugger.o
endif
DATA       = pldbgapi--1.0.sql pldbgapi--unpackaged--1.0.sql
DOCS	   = README.pldebugger

# PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
# plpgsql.h, so you needed the full source tree to access it.
ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir       = contrib/pldebugger
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# plpgsql_debugger.c needs plpgsql.h. Beginning with server version 9.2,
# it is installed into include/server, but when building without pgxs,
# with the pldebugger directory being directly in the server source tree's
# contrib directory, we need to tell the compiler where to find it.
plpgsql_debugger.o: CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src

################################################################################
## If we're building against EnterpriseDB's Advanced Server, also build a
## debugger module for the SPL language. It's pretty much the same as the
## PL/pgSQL one, but the structs have some extra fields and are thus not
## binary-compatible. We make a copy of the .c file, and pass the
## INCLUDE_PACKAGE_SUPPORT=1 flag to compile it against SPL instead of PL/pgSQL.
##
## To make debugging the debugger itself simpler, all the functions are
## mechanically renamed from plpgsql_* to spl_*.
##
## To enable this, you need to run make as "make INCLUDE_PACKAGE_SUPPORT=1"
## 
ifdef INCLUDE_PACKAGE_SUPPORT
spl_debugger.c:  plpgsql_debugger.c
	sed -e 's/plpgsql_/spl_/g' $(module_srcdir)plpgsql_debugger.c > spl_debugger.c

spl_debugger.o: 	CFLAGS += -DINCLUDE_PACKAGE_SUPPORT=1 -I$(top_builddir)/src/pl/edb-spl/src

# There's some tiny differences in plugin_debugger.c, if we're including SPL
# language. Pass the INCLUDE_PACKAGE_SUPPORT flag to plugin_debugger.c too.
plugin_debugger.o: CFLAGS += -DINCLUDE_PACKAGE_SUPPORT=1
endif

## pldebugger 1.0-3-g71ac998

=== debian/changelog ===
pldebugger (1:1.0-3-g71ac998-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 10 support.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Sep 2017 20:23:33 +0200

pldebugger (9.5.0-10-gd663a19-1) unstable; urgency=medium

  * Team upload.
  * Initial release.
  * Add basic regression test.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 31 Jan 2017 16:54:49 +0100

=== debian/control ===
Source: pldebugger
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev | krb5-multidev,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pldebugger.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pldebugger.git
Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

Package: postgresql-10-pldebugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Suggests: pgadmin3 | pgadmin4
Description: PostgreSQL pl/pgsql Debugger API
 This module is a set of shared libraries which implement an API for
 debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
 project (http://www.pgadmin.org/) provides a client user interface as
 part of pgAdmin III v1.10.0 and above, and pgAdmin 4.

## pldebugger 1.0-10

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 ifdef INCLUDE_PACKAGE_SUPPORT
 OBJS += spl_debugger.o
 endif
-DATA       = pldbgapi--1.0.sql pldbgapi--unpackaged--1.0.sql
+DATA       = pldbgapi--1.1.sql pldbgapi--unpackaged--1.1.sql pldbgapi--1.0--1.1.sql
 DOCS	   = README.pldebugger
 
 # PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
@@ -38,6 +38,7 @@
 # with the pldebugger directory being directly in the server source tree's
 # contrib directory, we need to tell the compiler where to find it.
 plpgsql_debugger.o: CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src
+plpgsql_debugger.bc: CPPFLAGS += -I$(top_srcdir)/src/pl/plpgsql/src -I$(top_builddir)/src/pl/plpgsql/src
 
 ################################################################################
 ## If we're building against EnterpriseDB's Advanced Server, also build a
@@ -56,6 +57,7 @@
 	sed -e 's/plpgsql_/spl_/g' $(module_srcdir)plpgsql_debugger.c > spl_debugger.c
 
 spl_debugger.o: 	CFLAGS += -DINCLUDE_PACKAGE_SUPPORT=1 -I$(top_builddir)/src/pl/edb-spl/src
+spl_debugger.bc:	CPPFLAGS += -I$(top_srcdir)/src/pl/plpgsql/src -I$(top_builddir)/src/pl/plpgsql/src
 
 # There's some tiny differences in plugin_debugger.c, if we're including SPL
 # language. Pass the INCLUDE_PACKAGE_SUPPORT flag to plugin_debugger.c too.

## pldebugger 1.0-10-g2a298eb

=== debian/changelog ===
pldebugger (1:1.0-10-g2a298eb-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 11:45:39 +0100

pldebugger (1:1.0-10-g2a298eb-1) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * New upstream snapshot.
  * Move maintainer address to team+postgresql@tracker.debian.org.
  * watch file: add gitweb mangling rule.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 11:26:05 +0200

pldebugger (1:1.0-6-gbcf24ee-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 11 support.
  * Move packaging repository to salsa.debian.org
  * Add watch file.

 -- Christoph Berg <myon@debian.org>  Thu, 31 May 2018 20:21:58 +0200

=== debian/control ===
Source: pldebugger
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev | krb5-multidev,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

Package: postgresql-12-pldebugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Suggests: pgadmin3 | pgadmin4
Description: PostgreSQL pl/pgsql Debugger API
 This module is a set of shared libraries which implement an API for
 debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
 project (http://www.pgadmin.org/) provides a client user interface as
 part of pgAdmin III v1.10.0 and above, and pgAdmin 4.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g, downloadurlmangle=s/a=log/a=snapshot/" \
https://git.postgresql.org/gitweb/?p=pldebugger.git;a=summary .*a=log.*/tags/(?:.*REL-|v)?(.*)

## pldebugger 1.0-13-gddbce7b

=== debian/changelog ===
pldebugger (1:1.0-13-gddbce7b-1) unstable; urgency=medium

  * New upstream snapshot with PG13 support.
  * DH 13.
  * Look for "v" tags only in watch file.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 13:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  libkrb5-dev | krb5-multidev,
  libssl-dev,
  postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
 Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
 Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

=== debian/watch ===
version=4
opts="dversionmangle=s/-.*//, uversionmangle=s/_/./g, downloadurlmangle=s/a=log/a=snapshot/" \
https://git.postgresql.org/gitweb/?p=pldebugger.git;a=summary .*a=log.*/tags/v(.*)

## pldebugger 1.3

=== debian/changelog ===
pldebugger (1:1.3-1) unstable; urgency=medium

  * New upstream version 1.3.
  * Update watch file to look at github.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Oct 2020 11:14:10 +0200

pldebugger (1:1.0-13-gddbce7b-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 14:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
  debhelper-compat (= 13),
  libkrb5-dev | krb5-multidev,
  libssl-dev,
- postgresql-server-dev-all (>= 153~),
+ postgresql-all (>= 217~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
 Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
 Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git
 
-Package: postgresql-12-pldebugger
+Package: postgresql-13-pldebugger
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
 Suggests: pgadmin3 | pgadmin4
 Description: PostgreSQL pl/pgsql Debugger API
  This module is a set of shared libraries which implement an API for

=== debian/watch ===
version=4
https://github.com/EnterpriseDB/pldebugger/releases .*/v(.*).tar.gz

## pldebugger 1.4~20220627.1410-2~1.git9391760.pgdg18.04+1

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 ## interpreter plugin, and a set of functions that form an SQL interface
 ## to the PL/pgSQL debugger.
 ##
-## Copyright (c) 2004-2017 EnterpriseDB Corporation. All Rights Reserved.
+## Copyright (c) 2004-2018 EnterpriseDB Corporation. All Rights Reserved.
 ##
-## Licensed under the Artistic License, see 
-##		http://www.opensource.org/licenses/artistic-license.php
+## Licensed under the Artistic License v2.0, see 
+##		https://opensource.org/licenses/artistic-license-2.0
 ## for full details
 
 EXTENSION  = pldbgapi
@@ -19,6 +19,7 @@
 endif
 DATA       = pldbgapi--1.1.sql pldbgapi--unpackaged--1.1.sql pldbgapi--1.0--1.1.sql
 DOCS	   = README.pldebugger
+REGRESS    = extension
 
 # PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
 # plpgsql.h, so you needed the full source tree to access it.

=== debian/changelog ===
pldebugger (1:1.4~20220627.1410-2~1.git9391760.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:57:53 +0100

pldebugger (1:1.4-2) unstable; urgency=medium

  * Fix github watchfile.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 15:57:53 +0100

pldebugger (1:1.4-1) unstable; urgency=medium

  * New upstream version 1.4 with PG 14 support.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Oct 2021 10:53:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  libkrb5-dev | krb5-multidev,
  libssl-dev,
  postgresql-all (>= 217~),
@@ -13,6 +13,36 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
 Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
 Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git
+
+Package: postgresql-10-pldebugger
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Suggests: pgadmin3 | pgadmin4
+Description: PostgreSQL pl/pgsql Debugger API
+ This module is a set of shared libraries which implement an API for
+ debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
+ project (http://www.pgadmin.org/) provides a client user interface as
+ part of pgAdmin III v1.10.0 and above, and pgAdmin 4.
+
+Package: postgresql-11-pldebugger
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
+Suggests: pgadmin3 | pgadmin4
+Description: PostgreSQL pl/pgsql Debugger API
+ This module is a set of shared libraries which implement an API for
+ debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
+ project (http://www.pgadmin.org/) provides a client user interface as
+ part of pgAdmin III v1.10.0 and above, and pgAdmin 4.
+
+Package: postgresql-12-pldebugger
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Suggests: pgadmin3 | pgadmin4
+Description: PostgreSQL pl/pgsql Debugger API
+ This module is a set of shared libraries which implement an API for
+ debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
+ project (http://www.pgadmin.org/) provides a client user interface as
+ part of pgAdmin III v1.10.0 and above, and pgAdmin 4.
 
 Package: postgresql-13-pldebugger
 Architecture: any
@@ -23,3 +53,13 @@
  debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
  project (http://www.pgadmin.org/) provides a client user interface as
  part of pgAdmin III v1.10.0 and above, and pgAdmin 4.
+
+Package: postgresql-14-pldebugger
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Suggests: pgadmin3 | pgadmin4
+Description: PostgreSQL pl/pgsql Debugger API
+ This module is a set of shared libraries which implement an API for
+ debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
+ project (http://www.pgadmin.org/) provides a client user interface as
+ part of pgAdmin III v1.10.0 and above, and pgAdmin 4.

## pldebugger 1.4~20220627.1410-2~1.git9391760.pgdg21.10+1

=== debian/changelog ===
pldebugger (1:1.4~20220627.1410-2~1.git9391760.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:57:53 +0100

## pldebugger 1.4~20220627.1410-2~1.git9391760.pgdg22.04+1

=== debian/changelog ===
pldebugger (1:1.4~20220627.1410-2~1.git9391760.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:57:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  libkrb5-dev | krb5-multidev,
  libssl-dev,
  postgresql-all (>= 217~),

## pldebugger 1.4

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 endif
 DATA       = pldbgapi--1.1.sql pldbgapi--unpackaged--1.1.sql pldbgapi--1.0--1.1.sql
 DOCS	   = README.pldebugger
-REGRESS    = extension
 
 # PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
 # plpgsql.h, so you needed the full source tree to access it.

=== debian/control ===
Source: pldebugger
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libkrb5-dev | krb5-multidev,
 libssl-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

Package: postgresql-14-pldebugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Suggests: pgadmin3 | pgadmin4
Description: PostgreSQL pl/pgsql Debugger API
 This module is a set of shared libraries which implement an API for
 debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
 project (http://www.pgadmin.org/) provides a client user interface as
 part of pgAdmin III v1.10.0 and above, and pgAdmin 4.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -o'shared_preload_libraries=plugin_debugger' installcheck . . postgresql-%v-pldebugger

%:
	dh $@ --with pgxs

## pldebugger 1.5

=== debian/changelog ===
pldebugger (1:1.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 17:52:39 +0200

pldebugger (1:1.5-1) unstable; urgency=medium

  * New upstream version 1.5.
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  libkrb5-dev | krb5-multidev,
  libssl-dev,
  postgresql-all (>= 217~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
 Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
 Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git
 
-Package: postgresql-14-pldebugger
+Package: postgresql-16-pldebugger
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Suggests: pgadmin3 | pgadmin4
 Description: PostgreSQL pl/pgsql Debugger API
  This module is a set of shared libraries which implement an API for

## pldebugger 1.8

=== debian/changelog ===
pldebugger (1:1.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:53:54 +0200

pldebugger (1:1.8-1) unstable; urgency=medium

  * New upstream version 1.8.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Jul 2024 18:42:12 +0200

pldebugger (1:1.7-1) unstable; urgency=medium

  * New upstream version 1.7 with README installation fixed.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Jul 2024 12:32:18 +0200

pldebugger (1:1.6-1) unstable; urgency=medium

  * New upstream version 1.6.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Jul 2024 11:43:56 +0200

=== debian/control ===
Source: pldebugger
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libkrb5-dev | krb5-multidev,
 libssl-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

Package: postgresql-17-pldebugger
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Suggests:
 pgadmin3 | pgadmin4,
Description: PostgreSQL pl/pgsql Debugger API
 This module is a set of shared libraries which implement an API for
 debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
 project (http://www.pgadmin.org/) provides a client user interface as
 part of pgAdmin III v1.10.0 and above, and pgAdmin 4.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README-pldebugger.md

override_dh_pgxs_test:
	pg_buildext -o'shared_preload_libraries=plugin_debugger' installcheck . . postgresql-%v-pldebugger

%:
	dh $@ --with pgxs

## pldebugger 1.9

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ## interpreter plugin, and a set of functions that form an SQL interface
 ## to the PL/pgSQL debugger.
 ##
-## Copyright (c) 2004-2018 EnterpriseDB Corporation. All Rights Reserved.
+## Copyright (c) 2004-2024 EnterpriseDB Corporation. All Rights Reserved.
 ##
 ## Licensed under the Artistic License v2.0, see 
 ##		https://opensource.org/licenses/artistic-license-2.0
@@ -18,7 +18,7 @@
 OBJS += spl_debugger.o
 endif
 DATA       = pldbgapi--1.1.sql pldbgapi--unpackaged--1.1.sql pldbgapi--1.0--1.1.sql
-DOCS	   = README.pldebugger
+DOCS	   = README-pldebugger.md
 
 # PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
 # plpgsql.h, so you needed the full source tree to access it.

=== debian/changelog ===
pldebugger (1:1.9-1) unstable; urgency=medium

  * New upstream version 1.9.
  * Upload for PostgreSQL 18. (Closes: #1117316)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:13:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  libkrb5-dev | krb5-multidev,
  libssl-dev,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pldebugger
 Vcs-Git: https://salsa.debian.org/postgresql/pldebugger.git
 Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git
 
-Package: postgresql-17-pldebugger
+Package: postgresql-18-pldebugger
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -25,6 +24,8 @@
  ${shlibs:Depends},
 Suggests:
  pgadmin3 | pgadmin4,
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL pl/pgsql Debugger API
  This module is a set of shared libraries which implement an API for
  debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin

=== debian/watch ===
version=4
https://github.com/EnterpriseDB/pldebugger/tags .*/v(.*).tar.gz

## pldebugger 9.5.0-10

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 ## interpreter plugin, and a set of functions that form an SQL interface
 ## to the PL/pgSQL debugger.
 ##
-## Copyright (c) 2004-2024 EnterpriseDB Corporation. All Rights Reserved.
+## Copyright (c) 2004-2012 EnterpriseDB Corporation. All Rights Reserved.
 ##
-## Licensed under the Artistic License v2.0, see 
-##		https://opensource.org/licenses/artistic-license-2.0
+## Licensed under the Artistic License, see 
+##		http://www.opensource.org/licenses/artistic-license.php
 ## for full details
 
 EXTENSION  = pldbgapi
@@ -17,8 +17,8 @@
 ifdef INCLUDE_PACKAGE_SUPPORT
 OBJS += spl_debugger.o
 endif
-DATA       = pldbgapi--1.1.sql pldbgapi--unpackaged--1.1.sql pldbgapi--1.0--1.1.sql
-DOCS	   = README-pldebugger.md
+DATA       = pldbgapi--1.0.sql pldbgapi--unpackaged--1.0.sql
+DOCS	   = README.pldebugger
 
 # PGXS build needs PostgreSQL 9.2 or later. Earlier versions didn't install
 # plpgsql.h, so you needed the full source tree to access it.
@@ -38,7 +38,6 @@
 # with the pldebugger directory being directly in the server source tree's
 # contrib directory, we need to tell the compiler where to find it.
 plpgsql_debugger.o: CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src
-plpgsql_debugger.bc: CPPFLAGS += -I$(top_srcdir)/src/pl/plpgsql/src -I$(top_builddir)/src/pl/plpgsql/src
 
 ################################################################################
 ## If we're building against EnterpriseDB's Advanced Server, also build a
@@ -57,7 +56,6 @@
 	sed -e 's/plpgsql_/spl_/g' $(module_srcdir)plpgsql_debugger.c > spl_debugger.c
 
 spl_debugger.o: 	CFLAGS += -DINCLUDE_PACKAGE_SUPPORT=1 -I$(top_builddir)/src/pl/edb-spl/src
-spl_debugger.bc:	CPPFLAGS += -I$(top_srcdir)/src/pl/plpgsql/src -I$(top_builddir)/src/pl/plpgsql/src
 
 # There's some tiny differences in plugin_debugger.c, if we're including SPL
 # language. Pass the INCLUDE_PACKAGE_SUPPORT flag to plugin_debugger.c too.

## pldebugger 9.5.0-10-gd663a19

=== debian/control ===
Source: pldebugger
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev | krb5-multidev,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pldebugger.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pldebugger.git
Homepage: https://git.postgresql.org/gitweb/?p=pldebugger.git

Package: postgresql-9.6-pldebugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Suggests: pgadmin3 | pgadmin4
Description: PostgreSQL pl/pgsql Debugger API
 This module is a set of shared libraries which implement an API for
 debugging pl/pgsql functions on PostgreSQL 8.4 and above. The pgAdmin
 project (http://www.pgadmin.org/) provides a client user interface as
 part of pgAdmin III v1.10.0 and above, and pgAdmin 4.
